%bcond_without check

%global srcname certbot_apache

Name:          certbot-apache
Version:       4.0.0
Release:       %mkrel 1
Summary:       The apache plugin for certbot
License:       ASL 2.0
Group:         Development/Python
URL:           https://pypi.python.org/pypi/certbot-apache

Source0:       %{pypi_source}

BuildArch:     noarch
BuildRequires: python3-devel

#For running tests
BuildRequires: certbot = %{version}
BuildRequires: python3dist(python-augeas)
BuildRequires: pkgconfig(augeas)

Requires:      apache-mod_ssl
Requires:      certbot = %{version}

%description
Plugin for certbot that allows for automatic configuration of apache.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files certbot_apache

%if %{with check}
%check
%pytest
%endif

%files -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
